Author Topic: AcDbDimData::setConstraint  (Read 8122 times)

0 Members and 1 Guest are viewing this topic.

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: AcDbDimData::setConstraint
« Reply #15 on: June 29, 2010, 01:47:05 AM »
Must be a pline problem
thanks, for your help LE.3.10234.178a
much appreciated


For a moment there I thought that Luis had changed his name ....

 :wink:
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

--> Donate to theSwamp<--

ahlzl

  • Guest
Re: AcDbDimData::setConstraint
« Reply #16 on: June 29, 2010, 08:59:18 AM »
Daniel,very good!

It's Alive!

  • BricsCAD
  • Needs a day job
  • Posts: 6942
  • AKA Daniel
Re: AcDbDimData::setConstraint
« Reply #17 on: June 29, 2010, 09:15:28 AM »
Thanks, I still have a bit of learning to do on this front  :-)

LE3

  • Guest
Re: AcDbDimData::setConstraint
« Reply #18 on: June 29, 2010, 10:10:29 AM »
That was Daniel.... not me :)

Must be a pline problem
thanks, for your help LE.3.10234.178a
much appreciated


For a moment there I thought that Luis had changed his name ....

 :wink:

LE3

  • Guest
Re: AcDbDimData::setConstraint
« Reply #19 on: June 29, 2010, 10:24:16 AM »
have to play a little more on this, will try to posted later today or asap.
did a quick new mickey mouse vs (with v) solution (2008) deriving by an AcDbEntity and adapting your code with some code here and appears that the tab change works in other words does the object update...

will upload it tomorrow land, now it is late for me... time to go to sleep.

1, 2, 3, 4, 5, ... z z z z zzzzzzzzzzzzzz.

LE3

  • Guest
Re: AcDbDimData::setConstraint
« Reply #20 on: June 29, 2010, 12:26:00 PM »
Here it goes, and the far i can get ... attached it is a VS9 sln target to A2010, incomplete project! (includes the bin files arx & dbx to test)

Have a look into the ani-image and notice that after a tab the object gets updated on screen.

So, must be something about the polyline.

Code: [Select]
class DLLIMPEXP CBox : public AcDbEntity {
HTH

It's Alive!

  • BricsCAD
  • Needs a day job
  • Posts: 6942
  • AKA Daniel
Re: AcDbDimData::setConstraint
« Reply #21 on: June 29, 2010, 07:07:32 PM »
Thanks for looking LE,  for now I will just show the a single dynamic  dim.